import axios from "@/tools/axios.js";
//登录
export const Login =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'admin/login',data:data})
}
//admin后台获取当前用户菜单
export const GetAdminBaseMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getBaseMenuList',data:data})
}
//Token刷新
export const TokenRefresh =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'tokenRefresh',data:data})
}
//获取admin后台用户list
export const getAdminUserList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getUserList',data:data})
}
//admin后台获取所有菜单列表
export const GetAdminMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getMenuList',data:data})
}
//admin后台获取一级菜单
export const GetFatherMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetFatherMenuList',data:data})
}
//admin后台添加菜单
export const AddMenu =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/AddMenu',data:data})
}
//admin后台编辑菜单
export const EditMenu =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/EditMenu',data:data})
}
//admin后台组列表
export const getGroupList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getGroupList',data:data})
}
//admin后台修改组菜单
export const GroupChangeMenu =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GroupChangeMenu',data:data})
}
//admin后台添加组
export const SaveGroup =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveGroup',data:data})
}
//admin后台保存用户信息
export const SaveSystemUserInfo =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveSystemUserInfo',data:data})
}
//admin后台获取用户详细信息
export const GetSystemUserDetail =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetSystemUserDetail',data:data})
}
//admin后台修改密码
export const adminChangePwd =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/adminChangePwd',data:data})
}
//admin后台获取登录用户基本信息
export const GetBaseAdminUserInfo =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetBaseUserInfo',data:data})
}
//admin后台管理员查询分组使用的菜单
export const AdminGetGroupMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetGroupMenuList',data:data})
}

//admin后台创建体检日历
export const CreateCalendar =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CreateCalendar',data:data})
}
//admin后台获取日历列表
export const CalendarGetList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CalendarGetList',data:data})
}
//admin后台删除日历列表
export const CalendarDel =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CalendarListDel',data:data})
}
//admin后台更新日历
export const CalendarChangeInfo =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CalendarChangeInfo',data:data})
}
//admin后台更新日历
export const CheckMenuAuth =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CheckMenuAuth',data:data})
}
//上传图片
// export const UpFile =   (data={}) =>  {
// 	return 	axios({url:import.meta.env.VITE_APP_API+'v1/UpFile',data:data})
// }
export const UpFileUrl=   () =>  {
	return 	import.meta.env.VITE_APP_API+'v1/UpFile'
}

//admin后台修改自身用户信息
export const ChangInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ChangInfo',data:data})
}
//admin后台获取站点配置信息
export const GetConfigInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetConfigInfo',data:data})
}
//admin后台保存站点配置信息
export const SaveConfigInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveConfigInfo',data:data})
}
//获取日志列表
export const SystemLogGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SystemLogGetList',data:data})
}
//获取日志表名
export const GetLogTableName =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetLogTableName',data:data})
}
//获取号源类型列表
export const PlanTypeGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanTypeGetList',data:data})
}
//可用体检类型列表
export const CheckUpTypeGetEnableList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CheckUpTypeGetEnableList',data:data})
}
//号源类型保存
export const PlanTypeSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanTypeSave',data:data})
}
//号源类型详情
export const PlanTypeGetDetail =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanTypeGetDetail',data:data})
}
//删除号源类型
export const PlanTypeDel =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanTypeDel',data:data})
}
//号源模板获取时间段列表
export const PlanModelTimeList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanModelTimeList',data:data})
}
//保存号源模板
export const PlanModelSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanModelSave',data:data})
}
//号源模板列表
export const PlanModelGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanModelGetList',data:data})
}
//号源模板详情
export const PlanModelGetDetail =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanModelGetDetail',data:data})
}
//删除号源模板
export const PlanModelDel =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanModelDel',data:data})
}
//生成号源
export const PlanCreate =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CreatePlan',data:data})
}
//号源列表
export const PlanGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanGetList',data:data})
}
//号源详情
export const PlanGetDetail =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanGetDetail',data:data})
}
//号源详情
export const PlanSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/PlanSave',data:data})
}
//获取套餐列表
export const ComboGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ComboGetList',data:data})
}
//获取套餐详情
export const ComboGetDetail =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ComboGetDetail',data:data})
}
//保存套餐详情
export const ComboSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ComboSave',data:data})
}
//保存医院信息
export const HospitalSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/HospitalSave',data:data})
}
//获取医院列表
export const HospitalGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/HospitalGetList',data:data})
}
//获取可用的医院列表
export const HospitalGetEnableList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/HospitalGetEnableList',data:data})
}
//获取医院基本信息
export const GetBaseInfoDetail =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetBaseInfoDetail',data:data})
}
//更新套餐
export const UpdateCombo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'admin/UpdateCombo',data:data})
}
//更新缓存
export const SaveCacheInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveCacheInfo',data:data})
}
//获取套餐类型
export const ComboTypeGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ComboTypeGetList',data:data})
}

//获取套餐适用人群
export const ComboCrowdGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ComboCrowdGetList',data:data})
}
//获取订单列表
export const OrderGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/OrderGetList',data:data})
}
//获取问答列表
export const QuestionGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/QuestionGetList',data:data})
}
//保存题目
export const QuestionSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/QuestionSave',data:data})
}
//获取题目详情
export const QuestionGetDetail =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/QuestionGetDetail',data:data})
}
//删除题目
export const QuestionDel =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/QuestionDel',data:data})
}
//获取文章列表
export const ArticleGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ArticleGetList',data:data})
}